/* MAYDAY DOCUMENTATION CSS */

/* HOME */
.mayday_home_collection-wrapper {
  max-width: 1350px !important;
}

.mayday_home_collection-container_col {
  border: none !important;
}

.mayday_case_card-container_col:hover {
  border: none !important;
}

:is(.md .mayday_home_collection) {
  padding: 0 !important;
  flex-direction: row !important;
  transition: none !important;
  border-radius: 4px !important;
  align-self: center !important;
  padding: 0 !important;
  margin: 20px !important;
  overflow: unset !important;
  height: 300px !important;
  width: 300px !important;
}

:is(.md .mayday_home_collection:hover) {
  box-shadow: none !important;
  border: none !important;
  transform: scale(1) !important;
}

/* MOBILE */
.mayday_home_collection {
  transition: none !important;
  border: none !important;
  border-radius: 4px !important;
  align-self: center !important;
  padding: 0 !important;
  margin: 20px !important;
  overflow: unset !important;
  height: auto !important;
  width: auto !important;
  background-color: transparent !important;
  box-shadow: none !important;
}

.mayday_home_collection:hover {
  box-shadow: none !important;
  border: none !important;
  transform: scale(1) !important;
}

.mayday_home_collection-inner {
  display: flex !important;
  flex-direction: column !important;
  align-items: flex-start !important;
  background: white !important;
  height: 100% !important;
  width: 100% !important;
  transition: transform 250ms ease-in-out !important;
  transform: translateX(3px) translateY(-3px) !important;
  border-radius: 16px !important;
  border: 1px solid var(--mayday-collection-color) !important;
  padding: 24px !important;
}

.mayday_home_collection:hover .mayday_home_collection-inner {
  transform: translateX(8px) translateY(-8px) !important;
  z-index: 20 !important;
}

.mayday_home_collection:hover .mayday_home_collection-highlight {
  z-index: -1 !important;
  background-color: var(--mayday-collection-color) !important;
  height: 100% !important;
  width: 100% !important;
  border-radius: 16px !important;
  opacity: 1 !important;
}

:is(.md .mayday_home_collection-highlight) {
  z-index: -1 !important;
  background-color: var(--mayday-collection-color) !important;
  height: 100% !important;
  width: 100% !important;
  border-radius: 16px !important;
  opacity: 1 !important;
}

.mayday_home_collection-highlight {
  z-index: -1 !important !important;
  background-color: var(--mayday-collection-color) !important;
  height: 100% !important;
  width: 100% !important;
  border-radius: 16px !important;
  opacity: 1 !important;
}

.mayday_home_collection-img_wrapper {
  align-items: left !important;
  width: 80px !important;
  height: auto !important;
}

.mayday_home_collection-img {
  width: auto !important;
  height: 80px !important;
  color: var(--mayday-collection-color) !important;
}

:is(.md .mayday_home_collection-title) {
  margin: 0 !important;
  text-align: left !important;
  color: var(--primary) !important;
  font-weight: 900 !important;
  font-size: 24px !important;
  line-height: 29px !important;
}

.mayday_home_collection-title {
  margin-top: 8px !important;
}

.mayday_home_collection-description {
  display: flex !important;
  margin-top: 8px !important;
  text-align: left !important;
  color: var(--primary) !important;
  font-weight: 400 !important;
  font-size: 12px !important;
  line-height: 1.3 !important;
}

:is(.md .mayday_home_collection-option) {
  position: absolute !important;
  bottom: 24px !important;
  display: flex !important;
  gap: 12px !important;
  color: var(--mayday-collection-color) !important;
  font-weight: 700 !important;
  font-size: 16px !important;
  transition: all 250ms ease-in-out !important;
}

.mayday_home_collection-option {
  display: none !important;
}

.mayday_home_collection:hover .mayday_home_collection-option {
  gap: 24px !important;
}

/* HEADER/SEARCH */
:is(.md .mayday_header-container-home) {
  border-bottom-left-radius: 60px !important;
}

.mayday_header-container-home {
  border-bottom-left-radius: 16px !important;
}

.mayday_header-container-home::before {
  z-index: -1 !important;
  position: fixed !important;
  content: "" !important;
  top: 0px !important;
  left: 0px !important;
  right: 0px !important;
  background-color: rgb(var(--header)) !important;
  width: 100% !important;
  height: 64px !important;
  border-bottom-left-radius: 0px !important;
}

.mayday_search-input_wrapper {
  background: white !important;
  border-radius: 4px !important;
}

.mayday_search-input_wrapper::before {
  z-index: -1 !important;
  position: absolute !important;
  content: "" !important;
  top: 0px !important;
  left: 0px !important;
  background: #0081f9 !important;
  width: 100% !important;
  height: 100% !important;
  border-radius: 4px !important;
  transition: all 250ms ease-in-out !important;
}

.mayday_search-input_wrapper_focus::before {
  top: 6px !important;
  left: -6px !important;
}

.mayday_search-input::placeholder {
  color: #525a68 !important;
}

.mayday_search-input_wrapper_focus {
  background: white !important;
  color: rgb(var(--primary)) !important;
}

.mayday_search-input_icon {
  color: black !important;
}

.mayday_search-wrapper_label_text {
  padding: 8px 0 !important;
}

.mayday_search-wrapper_label_text_highlight {
  background: #006cd0 !important;
  transform: rotate(-2deg) !important;
  border-radius: 60px !important;
  border: 1px solid #ffffff !important;
  padding: 4px 8px !important;
  line-height: 1 !important;
  margin-left: 8px !important;
  margin-bottom: 2px !important;
  box-shadow: -1px 2px 0px 1px #ffffff !important;
}

.mayday_header-lang_button {
  background-color: #ffffff33;
  border-radius: 4px;
  padding: 0 8px;
}

/* PLUGINS/PINNED CONTENTS */

.mayday_plugins-home_title {
  background: #ffd15d !important;
  border: 1px solid #001e49 !important;
  box-shadow: -2px 2px 0px 2px #001e49 !important;
  border-radius: 60px !important;
  padding: 6px 14px 10px 14px !important;
  line-height: 24px !important;
  display: flex !important;
  align-items: center !important;
  gap: 4px !important;
  font-size: 20px !important;
  font-weight: 700 !important;
}

.mayday_plugins-home_title_icon {
  display: flex !important;
  align-items: center !important;
  justify-content: center !important;
  background: white !important;
  border: 1px solid #001e49 !important;
  box-shadow: -1px 1px 0px 1px #001e49 !important;
  border-radius: 50% !important;
  width: 32px !important;
  height: 32px !important;
}

.mayday_plugins-home_title_icon_item {
  display: flex !important;
  align-items: center !important;
  justify-content: center !important;
}

.mayday_plugins-home_title_wrapper {
  display: flex !important;
  justify-content: center !important;
}

.mayday_plugins-pinned_content {
  border-radius: 16px !important;
  background-color: #001e49 !important;
  padding: 0 !important;
  margin: 8px 0 !important;
  /* width: 75% !important; */
}

.mayday_plugins-pinned_content:last-child {
  margin-left: -8px !important !important;
}

.mayday_plugins-pinned_content_inner {
  display: flex !important;
  flex-direction: column !important;
  align-items: flex-start !important;
  background: white !important;
  height: 100% !important;
  width: 100% !important;
  transition: all 250ms ease-in-out !important;
  transform: translateX(3px) translateY(-3px) !important;
  border-radius: 16px !important;
  border: 1px solid #001e49 !important;
  padding: 24px !important;
  color: #001e49 !important;
}

.mayday_plugins-pinned_content:hover .mayday_plugins-pinned_content_inner {
  transform: translateX(8px) translateY(-8px) !important;
  z-index: 20 !important;
}

.mayday_plugins-pinned_content:hover
  .mayday_plugins-pinned_content_inner_article {
  background: #ffd15d !important;
}

.mayday_plugins-pinned_content:hover
  .mayday_plugins-pinned_content_inner_diagnostic {
  background: #4fa9fb !important;
}

.mayday_plugins-pinned_content_icon {
  border: 1px solid #001e49 !important;
  box-shadow: -1px 1px 0px 1px #001e49 !important;
  border-radius: 4px !important;
  display: flex !important;
  align-items: center !important;
  justify-content: center !important;
}

.mayday_plugins-pinned_content_title {
  margin-bottom: 8px !important;
}

.mayday_plugins-pinned_content_label {
  height: auto !important;
  font-weight: 700 !important;
}

.mayday_plugins-pinned_content_divider {
  display: none !important;
}

.mayday_plugins-pinned_content_main {
  margin: 0 !important;
  height: 80px !important;
}

.mayday_plugins-pinned_content_body {
  font-size: 12px !important;
  font-weight: 400 !important;
  color: #001e49 !important;
  height: 54px !important;
}

.mayday_plugins-pinned_content_option {
  position: absolute !important;
  bottom: 24px !important;
  display: flex !important;
  gap: 12px !important;
  color: var(--mayday-collection-color) !important;
  font-weight: 700 !important;
  font-size: 12px !important;
  transition: all 250ms ease-in-out !important;
}

.mayday_plugins-pinned_content:hover .mayday_plugins-pinned_content_option {
  gap: 24px !important;
}
